%define gstreamer_version		0.10.9
%define gstreamer_plugins_version	0.10.3
%define pygtk2_version 			2.8.6
%define pyver %(python -c 'import sys ; print sys.version[:3]')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_pytho\n_lib()")}

Summary: Desktop Session Recorder 
Name: istanbul 
Version: 0.2.2
Release: 22%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://live.gnome.org/Istanbul 
Source: http://zaheer.merali.org/istanbul-%{version}.tar.bz2
Patch0: istanbul-configure.patch
Patch1: istanbul-screencast.patch
Patch2: istanbul-URI_exception.patch
Patch3: istanbul-save_window.patch
Patch4: istanbul-0.2.2-save-videowidget.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: pygtk2 >= %{pygtk2_version}
Requires: gnome-desktop >= 2.6.0
Requires: gstreamer >= %gstreamer_version
Requires: gstreamer-plugins-good >= %gstreamer_plugins_version
Requires: gstreamer-python
Requires: gnome-python2-libegg
Requires: gnome-python2-gconf
Requires: gnome-python2-extras
Requires: python-xlib

BuildRequires: python, python-devel, python-xlib
BuildRequires: pygtk2-devel >= %{pygtk2_version}
BuildRequires: gnome-python2-extras
BuildRequires: gnome-python2-gconf
BuildRequires: gnome-python2-libegg
BuildRequires: desktop-file-utils
BuildRequires: gstreamer-devel >= %{gstreamer_version}
BuildRequires: gstreamer-plugins-good-devel >= %gstreamer_plugins_version
BuildRequires: gstreamer-python-devel, gtk2-devel 
BuildRequires: perl-XML-Parser
BuildRequires: gettext

%description
Istanbul is a desktop session recorder.  You can use it to record your 
desktop session and then play it back for demos, tutorials and 
presentations.  Sessions are recorded to ogg theora files for later 
playback.

#%package devel
#Summary: Libraries/include files for Istanbul.
#Group: Development/Libraries
#Requires: %{name} = %{version}-%{release}

%prep
%setup -q
%patch0
%patch1
%patch3
%patch4

%build
#aclocal
#automake
#autoconf

%configure 

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-0.10/*.la

desktop-file-install --vendor gnome --delete-original		\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications			\
  --add-category X-Fedora-Extra					\
  --add-category X-AudioVideoCapture				\
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}
  
%clean
rm -rf $RPM_BUILD_ROOT

#%post

#%postun

%files -f %{name}.lang
#%files
%defattr(-,root,root,-)
#%doc AUTHORS COPYING ChangeLog NEWS README 
%doc COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/gnome-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_sysconfdir}/gconf/schemas/istanbul.schemas
#%dir %{_datadir}/%{name}
#%dir %{_datadir}/%{name}/glade
#%{_datadir}/%{name}/glade/prefs.glade

%dir %{python_sitelib}/%{name}
%{python_sitelib}/%{name}/*.py*

#%dir %{python_sitelib}/%{name}/extern
#%{python_sitelib}/%{name}/extern/*.py*
#%dir %{python_sitelib}/%{name}/extern/pytrayicon
#%{python_sitelib}/%{name}/extern/pytrayicon/*.py*

%{_libdir}/gstreamer-0.10/libistximagesrc.so
%{_libdir}/gstreamer-0.10/libistximagesrc.so.*
%dir %{python_sitelib}/%{name}/main
%{python_sitelib}/%{name}/main/*.py*
%dir %{python_sitelib}/%{name}/configure
%{python_sitelib}/%{name}/configure/*.py*
%{_mandir}/man1/istanbul.1.gz

#%{python_sitelib}/%{name}/extern/pytrayicon/*.so*

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.2-15
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jan 20 2010 Paul W. Frields <stickster@gmail.com> - 0.2.2-14
- Fix initialization of video preview widget (Johan Dobbelstein, #543278)

* Fri Dec 18 2009 Jef Spaleta <jspaleta[AT]fedoraproject[DOT]org> - 0.2.2-13
- Initial patch provided by Colin Walters and Dave Malcolm to address bug 543278 
* Wed Nov 25 2009 Jef Spaleta <jspaleta[AT]fedoraproject[DOT]org> - 0.2.2-12
- Patch for exception handling to prevent crash, bug 541003

* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.2.2-11
- Update desktop file according to F-12 FedoraStudio feature

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.2-8
- Rebuild for Python 2.6

* Fri May 2 2008 Jef Spaleta <jspaleta@fedoraproject.org> - 0.2.2-7
- patch from upstream svn for gst audio stream closure.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.2-6
- Autorebuild for GCC 4.3

* Fri Oct 19 2007 Jef Spaleta <jspaleta@gmail.com> - 0.2.2-5
- Source Url fix

* Tue Aug 21 2007 Jef Spaleta <jspaleta@gmail.com> - 0.2.2-4
- bump for rebuild

* Fri Aug 03 2007 Jef Spaleta <jspaleta@gmail.com> - 0.2.2-3
- Update spec for new licensing guidance.

* Sat Apr 14 2007 Jef Spaleta <jspaleta@gmail.com> - 0.2.2-2
- Add python-xlib dependancy

* Sat Mar 24 2007 Jef Spaleta <jspaleta@gmail.com> - 0.2.2-1
- Update to latest upstream release

* Mon Dec 11 2006 Jef Spaleta <jspaleta@gmail.com> - 0.1.1-10
- rebuild against python 2.5 in devel tree

* Thu Mar 23 2006 Jef Spaleta <jspaleta@gmail.com> - 0.1.1-9
- attempt to fix 64bit build failures do to unpackaged la

* Wed Feb 01 2006 Jef Spaleta  <jspaleta@gmail.com> - 0.1.1-8
- added pygtk2-devel buildrequires

* Fri Jan 27 2006 Jonathan Blandford <jrb@redhat.com> - 0.1.1-6
- change gstreamer-python to gstreamer08-python

* Sat Jan 07 2006 Jef Spaleta <jspaleta@gmail.com> - 0.1.1-6
- Change requirements to gstreamer08* to match rawhide change

* Thu Aug 18 2005 Jef Spaleta <jspaleta@gmail.com> - 0.1.1-5
- rebuild

* Thu Jul 21 2005 Jef Spaleta <jspaleta@gmail.com> - 0.1.1-4
- minor specfile cleanup

* Wed Jul 20 2005 Jef Spaleta <jspaleta@gmail.com> - 0.1.1-3
- minor specfile cleanup

* Tue Jul 19 2005 Jef Spaleta <jspaleta@gmail.com> - 0.1.1-2
- added gtk2-devel and python-devel BuildRequires 
- removed the python-abi requires because rpm in fc4+ catches this now

* Fri Jul 01 2005 John (J5) Palmieri <johnp@redhat.com> - 0.1.1-1
- upgrade to upstream 0.1.1
- remove pythondir patch

* Wed Jun 29 2005 John (J5) Palmieri <johnp@redhat.com> - 0.1.0-2
- Cleanup the spec file

* Wed Jun 29 2005 John (J5) Palmieri <johnp@redhat.com> - 0.1.0-1
- Initial packaging

